## Class invalid_exception

zeep::xml::invalid_exception

## Synopsis

    // In header: </home/maarten/projects/libzeep/zeep/xml/parser.hpp>

    class invalid_exception : public zeep::exception {
    public:
      // construct/copy/destruct
      invalid_exception(const std::string &);
      ~invalid_exception();
    };

## Description

If an invalid_exception is thrown, it means the XML document is not valid: it does not conform the DTD specified in the XML document. This is only thrown when validation is enabled.

The what() member of the exception object will contain an explanation.

### `invalid_exception` public construct/copy/destruct

1.     invalid_exception(const std::string & msg);

2.     ~invalid_exception();